import type { _MTRNetworkCommissioningClusterWiFiInterfaceScanResultStruct } from "./MTRNetworkCommissioningClusterWiFiInterfaceScanResultStruct.js";
import type { _NSData } from "../Foundation/NSData.js";
import type { _NSNumber } from "../Foundation/NSNumber.js";
export declare class _MTRNetworkCommissioningClusterWiFiInterfaceScanResult extends _MTRNetworkCommissioningClusterWiFiInterfaceScanResultStruct {
    static alloc(): _MTRNetworkCommissioningClusterWiFiInterfaceScanResult;
    static new(): _MTRNetworkCommissioningClusterWiFiInterfaceScanResult;
    init(): _MTRNetworkCommissioningClusterWiFiInterfaceScanResult;
    security(): _NSNumber;
    setSecurity$(value: _NSNumber): void;
    ssid(): _NSData;
    setSsid$(value: _NSData): void;
    bssid(): _NSData;
    setBssid$(value: _NSData): void;
    channel(): _NSNumber;
    setChannel$(value: _NSNumber): void;
    wiFiBand(): _NSNumber;
    setWiFiBand$(value: _NSNumber): void;
    rssi(): _NSNumber;
    setRssi$(value: _NSNumber): void;
}
